Bug 240126 - databases/mongodb36: Update to 3.6.14 (bugfix & security release)
Summary: databases/mongodb36: Update to 3.6.14 (bugfix & security release)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Kurt Jaeger
URL: https://docs.mongodb.com/manual/relea...
Keywords: security
Depends on: 239717
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-26 14:53 UTC by Ronald Klop
Modified: 2019-10-11 19:35 UTC (History)
3 users (show)

See Also:
dev: maintainer-feedback+
pi: merge-quarterly+


Attachments
update version and removed 2 obsolete patches (3.30 KB, patch)
2019-08-26 14:53 UTC, Ronald Klop
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2019-08-26 14:53:28 UTC
Created attachment 206925 [details]
update version and removed 2 obsolete patches
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-26 15:00:41 UTC
Security and bugfix release, MFH
Comment 2 Ronald Klop 2019-09-11 08:21:37 UTC
Hi, is this update already in the status of maintainer timeout? 
Would be nice to have it in the Q4 ports.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-11 09:23:47 UTC
^Triage: Pending VuXML entry
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-11 09:24:31 UTC
Comment on attachment 206925 [details]
update version and removed 2 obsolete patches

Approved by: portmgr (maintainer timeout: 14 days)

Pending QA and VuXML entries (patch required)
Comment 5 dev 2019-09-11 10:44:19 UTC
Sorry guys, not timed out, just lack of time. Please go ahead, thanks.
Comment 6 Ronald Klop 2019-10-05 12:32:46 UTC
(In reply to Kubilay Kocak from comment #4)
VuXML entry is in bug #239717.
Comment 7 Kurt Jaeger freebsd_committer 2019-10-11 17:46:46 UTC
testbuilds@work
Comment 8 commit-hook freebsd_committer 2019-10-11 19:32:03 UTC
A commit references this bug:

Author: pi
Date: Fri Oct 11 19:31:10 UTC 2019
New revision: 514295
URL: https://svnweb.freebsd.org/changeset/ports/514295

Log:
  databases/mongodb36: upgrade 3.6.13 -> 3.6.14 with security fixes

  PR:		240126
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>
  Approved by:	dev@dudu.ro (maintainer)
  MFH:		2019Q4
  Relnotes:	https://docs.mongodb.com/manual/release-notes/3.6/#aug-26-2019
  Security:	CVE-2019-2386, CVE-2019-2389, CVE-2019-2390

Changes:
  head/databases/mongodb36/Makefile
  head/databases/mongodb36/distinfo
  head/databases/mongodb36/files/patch-boost-1.67
  head/databases/mongodb36/files/patch-src_mongo_util_time__support.cpp
Comment 9 commit-hook freebsd_committer 2019-10-11 19:33:05 UTC
A commit references this bug:

Author: pi
Date: Fri Oct 11 19:32:15 UTC 2019
New revision: 514296
URL: https://svnweb.freebsd.org/changeset/ports/514296

Log:
  MFH: r514295

  databases/mongodb36: upgrade 3.6.13 -> 3.6.14 with security fixes

  PR:		240126
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>
  Approved by:	dev@dudu.ro (maintainer)
  Relnotes:	https://docs.mongodb.com/manual/release-notes/3.6/#aug-26-2019
  Security:	CVE-2019-2386, CVE-2019-2389, CVE-2019-2390
  Approved by:	ports-secteam (miwi, implicit)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/databases/mongodb36/Makefile
  branches/2019Q4/databases/mongodb36/distinfo
  branches/2019Q4/databases/mongodb36/files/patch-boost-1.67
  branches/2019Q4/databases/mongodb36/files/patch-src_mongo_util_time__support.cpp
Comment 10 Kurt Jaeger freebsd_committer 2019-10-11 19:35:22 UTC
Committed, thanks!